#
# spec file for package xmemory (Version 3.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xmemory
Copyright:    1993+1995, Helmut Hoenig, Heiligenhaus
Group:        X11/Games
Provides:     xmemory
Requires:     xfntscl
Autoreqprov:  on
Version:      3.7
Release:      267
Summary:      A Memory Game
Source:	      xmemory-%{version}.tgz
Patch:        xmemory-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
This memory game is playable by many users on different X11 displays
simultanously.

Authors:
--------
    Helmut Hoenig <Helmut.Hoenig@hub.de>

SuSE series: fun

%prep
%setup
%patch
xmkmf -a

%build
make xmemory

%install
make DESTDIR="$RPM_BUILD_ROOT" install
make DESTDIR="$RPM_BUILD_ROOT" MANDIR=/usr/X11R6/man/man6/ MANSUFFIX=6 install.man 
install -m 755 -o 0 -g 0 -d $RPM_BUILD_ROOT/usr/share/games/xmemory
cp -av *.mem $RPM_BUILD_ROOT/usr/share/games/xmemory

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README COPYRIGHT
/usr/X11R6/bin/*
/usr/share/games/xmemory/
%doc /usr/X11R6/man/man6/*

%changelog -n xmemory
* Wed Feb 07 2001 - uli@suse.de
- fixed for glibc 2.2.1
* Thu May 25 2000 - vinil@suse.cz
- sorted in group
- shareable files relocated to /usr/share/games/xmemory
* Fri Mar 24 2000 - vinil@suse.cz
- BuildRoot added
* Fri Jan 28 2000 - fehr@suse.de
- fix for new gcc 2.95
* Wed Jan 12 2000 - fehr@suse.de
- changed to new version 3.7
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
